GET /contacts/v1/contacts/id:{contactId}/Preferences

Overview

Retrieves consent management information from contact records by contact ID for data protection and privacy concerns. GET requests might display values that are reserved for future use and don't perform any actions at this time. Use only the parameters documented here.

URL Parameters

<!--complex table-->
Name Type Description
contactId string Required Unique ID for the contact.

Responses

Status Name Type Description
200     Retrieved contact preferences by contact ID.
  value object Contains the contact ID and other properties to add.
  value.contactID long Unique ID for the contact.
  value.hasOptedOutTracking boolean Indicates whether a contact opted out of tracking information.
  rowsAffected integer Number of rows returned.
  requestServiceMessageID guid Service message ID for the request.
  responseDateTime integer Date and time of the retry response in UTC.
  resultMessages array Array of messages about the request. Includes details, such as resulttype and resultcode, about a bad request.
  serviceMessageID guid Service message ID for the response.

Usage

These permissions are required.

  • Assets, Upload
  • Assets, Publish

Required Scope

  • Documents and Images, Read and Write
  • Saved Content, Read and Write

Example Request

Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /contacts/v1/contacts/id:1234/Preferences
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response

HTTP/1.1 200 OK

{
   "value":{
      "contactID":1234,
      "hasOptedOutTracking":false
   },
   "rowsAffected":1,
   "requestServiceMessageID":"315871d9-7ac3-4452-85ea-1b82e7912ec9",
   "responseDateTime":"2019-01-22T16:16:14.6290807-06:00",
   "resultMessages":[

   ],
   "serviceMessageID":"31be4073-0d58-467e-8c2e-9e5d0851c5fd"
}